Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# AutoShutter Class Reference

A AutoShutter. More...

`#include <AutoShutter.h>`

Inheritance diagram for AutoShutter:

[legend]
Collaboration diagram for AutoShutter:

[legend]
List of all members.

## Public Member Functions
| AutoShutter (const SpecialVisionInterfaces &interfaces)
| Constructor.
virtual void | execute ()
| Executes the module.
void | reset ()
void | makeHistogram (int which)
void | selectBest ()
## Public Attributes
int | state
double | histograms [256][9]

## Detailed Description

A AutoShutter.

Definition at line 16 of file AutoShutter.h.

## Constructor & Destructor Documentation

AutoShutter::AutoShutter | ( | const SpecialVisionInterfaces & | interfaces | ) |

  | Constructor. Parameters:
  interfaces | The interfaces of the SpecialVision module
Definition at line 15 of file AutoShutter.cpp. References reset().

Here is the call graph for this function:

## Member Function Documentation

void AutoShutter::execute | ( |  | ) | `[virtual]`

| Executes the module. Reimplemented from Module. Definition at line 29 of file AutoShutter.cpp. References makeHistogram(), reset(), selectBest(), Sensors::setCameraParameters(), CameraParameters::setGain(), CameraParameters::setShutterSpeed(), CameraParameters::setWhiteBalance(), SpecialPercept::shutterSelected, and SpecialPercept::type. Referenced by DefaultSpecialVision::execute().

Here is the call graph for this function:

void AutoShutter::reset | ( |  | ) |

| Definition at line 21 of file AutoShutter.cpp. References histograms. Referenced by AutoShutter(), and execute().

void AutoShutter::makeHistogram | ( | int | which | ) |

| Definition at line 120 of file AutoShutter.cpp. References cameraResolutionHeight_ERS7, cameraResolutionWidth_ERS7, histograms, and Image::image. Referenced by execute().

void AutoShutter::selectBest | ( |  | ) |

| Definition at line 131 of file AutoShutter.cpp. References histograms, min, Sensors::setCameraParameters(), CameraParameters::setGain(), CameraParameters::setShutterSpeed(), and CameraParameters::setWhiteBalance(). Referenced by execute().

Here is the call graph for this function:

## Member Data Documentation

int AutoShutter::state

| Definition at line 28 of file AutoShutter.h.

double AutoShutter::histograms[256][9]

| Definition at line 30 of file AutoShutter.h. Referenced by makeHistogram(), reset(), and selectBest().

The documentation for this class was generated from the following files:

- Modules/SpecialVision/AutoShutter.h
- Modules/SpecialVision/AutoShutter.cpp